/*
    Theme Name: Divi Child
    Theme URI: https://www.elegantthemes.com/gallery/divi/
    Description: Divi Child Theme
    Author: Reston Tech Wiz
    Author URI: https://www.restontechwiz.com
    Template: Divi
    Version: 1.0.0
*/

.mck-main-section-2-numbers {
  display: flex !important;
  gap: 0;
}

.mck-main-section-2-numbers-column-1 {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start !important;
  margin-right: 0 !important;
}

.mck-main-section-2-numbers-column-2 {
  display: flex !important;
  flex-direction: row !important;
  align-items: flex-start !important;
  margin-right: 0 !important;
  max-width: 511px !important;
  width: calc(28% - 20px) !important;
  margin-left: 20px;
}

.mck-section-3-background {
  background-size: 100% 168px;
  background-repeat: no-repeat;
  background-position: top;
}
@media only screen and (max-width: 980px) {
  .mck-section-4-cols {
    display: flex;
    flex-direction: column-reverse !important;
  }
}

.mck-main-section-1-bgd {
  background-size: 50% 90%;
  background-repeat: no-repeat;
  background-position: top right;
}

/* Globals */
body {
  font-weight: 400;
  line-height: 1.3 !important;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}

/* Header */
.home.page .et-l--header,
.page-id-882.page .et-l--header,
.page-id-768.page .et-l--header,
.page-id-802.page .et-l--header {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

/* Buttons */
.et_pb_button {
  font-size: 18px;
  letter-spacing: 0.5px;
  text-align: center;
  border-radius: 28px;
}
.et_pb_button,
.et_pb_button::before,
.et_pb_button::after {
  line-height: 22px !important;
}

.qs_mk_button_0::after {
  margin-left: 10px;
}
@media (max-width: 767px) {
  .qs_mk_button_0 {
    width: 100%;
  }
}

/* Sections */
.qs_mk_section_0 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

@media only screen and (max-width: 767px) {
  .qs_mk_section_0 {
    justify-content: center;
  }
}

.qs_mk_section_0 .et_pb_section_video_bg_desktop_only::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background: linear-gradient(
	90deg, rgba(42,30,30,0.7) 25%, rgba(42,30,30,0.4) 50%, rgba(42,30,30,0) 100%
  ) !important;
}

.qs_mk_section_1::before {
  content: "";
  background: linear-gradient(180deg, #f7f6f5, #fff);
  height: 100%;
  width: 50vw;
  position: absolute;
  top: 0;
  left: 50%;
}
@media (max-width: 980px) {
  .qs_mk_section_1::before {
    display: none;
  }
}

/* Containers */
.container {
  width: 90%;
  max-width: 1580px;
}

/* Rows */
.et_pb_row {
  width: 90%;
  max-width: 1580px;
}

.qs_mk_row_0 .et_pb_column:nth-last-child(n + 2) {
  padding-right: 3%;
}
.qs_mk_row_0 .et_pb_column:nth-last-child(n + 2)::before {
  content: "";
  background-color: rgba(255, 197, 51, 0.3);
  height: calc(100% - 70px);
  width: 1px;
  position: absolute;
  top: 70px;
  right: -0.5px;
}
.qs_mk_row_0 .et_pb_column:nth-child(n + 2) {
  padding-left: 3%;
}
@media (max-width: 980px) {
  .qs_mk_row_0.et_pb_gutters1.et_pb_row_4col > .et_pb_column.et_pb_column_1_4 {
    width: 100%;
  }
  .qs_mk_row_0 .et_pb_column:nth-last-child(n + 2) {
    padding-right: 0;
    margin-bottom: 30px !important;
  }
  .qs_mk_row_0 .et_pb_column:nth-last-child(n + 2)::before {
    display: none;
  }
  .qs_mk_row_0 .et_pb_column:nth-child(n + 2) {
    padding-left: 0;
  }
}

.qs_mk_row_1 {
  display: flex;
  flex-wrap: wrap;
}
.qs_mk_row_1 .et_pb_column {
  width: auto;
}
.qs_mk_row_1 .et_pb_column:nth-last-child(n + 2) {
  margin-bottom: 30px;
  margin-right: 25px;
}
@media (max-width: 767px) {
  .qs_mk_row_1 .et_pb_column {
    width: 100%;
  }
  .qs_mk_row_1 .et_pb_column:nth-last-child(n + 2) {
    margin-right: 0;
  }
}

.qs_mk_row_2 .et_pb_column {
  padding-top: 20px;
  padding-bottom: 20px;
}
.qs_mk_row_2 .et_pb_column:nth-last-child(n + 2) {
  padding-right: 3%;
}
.qs_mk_row_2 .et_pb_column:nth-child(n + 2) {
  padding-left: 3%;
}
@media (max-width: 980px) {
  .qs_mk_row_2 .et_pb_column:nth-child(2n + 1) {
    padding-left: 0;
  }
  .qs_mk_row_2 .et_pb_column:nth-child(2n) {
    padding-right: 0;
  }
}
@media (max-width: 479px) {
  .qs_mk_row_2 .et_pb_column {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}

/* Columns */
.qs_mk_column_0 {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.qs_mk_column_1 {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.qs_mk_column_2 {
  display: flex;
  flex-direction: column;
  align-content: flex-end;
  justify-content: center;
  flex-wrap: wrap;
}

/* Menus */
.qs_mk_menu_0 .menu-item-has-icon > a::before {
  font-family: ETmodules;
  font-size: 20px;
  margin-right: 12px;
}
.qs_mk_menu_0 .menu-item-icon-pin > a::before {
  content: "\e081";
}
.qs_mk_menu_0 .menu-item-icon-phone > a::before {
  content: "\e090";
}
.qs_mk_menu_0 .menu-item-icon-envelope > a::before {
  content: "\e076";
}

.qs_mk_menu_1.et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li {
  margin-top: 32px;
}
.qs_mk_menu_1.et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li > a {
  padding-bottom: 32px;
}
.qs_mk_menu_1 .et-menu > li > a::before {
  content: "";
  background-color: #ffc533;
  display: none;
  height: 3px;
  width: 100%;
  position: absolute;
  bottom: -1px;
  left: 0;
}
.qs_mk_menu_1 .et-menu > li.current-menu-item > a::before {
  display: block;
}

.qs_mk_menu_2 .mobile_menu_bar {
  padding-top: 20px;
  padding-bottom: 20px;
}
.qs_mk_menu_2 .mobile_menu_bar:before {
  top: 0;
}

.qs_mk_menu_3 .et_pb_menu__wrap {
  display: block;
}
.qs_mk_menu_3 .et_pb_menu__menu > nav > ul {
  display: block;
}
.qs_mk_menu_3 .et-menu {
  margin-left: 0;
  margin-right: 0;
}
.qs_mk_menu_3 .et-menu > li {
  padding-left: 0;
  padding-right: 0;
}
.qs_mk_menu_3.et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li {
  margin-top: 16px;
}
.qs_mk_menu_3.et_pb_menu--without-logo
  .et_pb_menu__menu
  > nav
  > ul
  > li:first-child {
  margin-top: 0;
}
.qs_mk_menu_3.et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li > a {
  padding-bottom: 0;
}
@media (max-width: 980px) {
  .qs_mk_menu_3 .et_pb_menu__menu {
    display: block;
  }
  .qs_mk_menu_3 .et_mobile_nav_menu {
    display: none;
  }
}

.qs_mk_menu_4 .menu-item-has-icon > a::before {
  color: #ffc533;
  font-family: ETmodules;
  font-size: 20px;
  margin-right: 12px;
}
.qs_mk_menu_4 .menu-item-icon-pin > a::before {
  content: "\e081";
}
.qs_mk_menu_4 .menu-item-icon-phone > a::before {
  content: "\e090";
}
.qs_mk_menu_4 .menu-item-icon-envelope > a::before {
  content: "\e076";
}
@media (max-width: 980px) {
  .qs_mk_menu_4 .et_pb_menu__wrap {
    justify-content: center;
  }
  .qs_mk_menu_4 .et_pb_menu__menu {
    display: block;
  }
  .qs_mk_menu_4 .et_mobile_nav_menu {
    display: none;
  }
  .qs_mk_menu_4 .et_pb_menu__menu > nav > ul {
    justify-content: center;
  }
  .qs_mk_menu_4 .et-menu > li > a {
    text-align: center;
  }
}

/* Social Media Follow */
.qs_mk_social_media_follow_0 li {
  margin-bottom: 0;
}

/* Texts */
.qs_mk_text_0 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-transform: uppercase !important;
}
.qs_mk_text_0 .et_pb_text_inner > *:last-child {
  padding-bottom: 0;
}

.qs_mk_text_1 .et_pb_text_inner > *:last-child {
  padding-bottom: 0;
}
.qs_mk_text_1 blockquote:first-child {
  margin-top: 0;
}
.qs_mk_text_1 blockquote:last-child {
  margin-bottom: 0;
}

/* Codes */
.qs_mk_code_0 {
  color: #cccbcb;
  font-size: 14px;
  line-height: 16px;
  text-align: center;
  margin-top: 8px;
}
.qs_mk_code_0 .et_pb_code_inner {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  margin-left: -8px;
  margin-right: -8px;
}
.qs_mk_code_0 a,
.qs_mk_code_0 .divider,
.qs_mk_code_0 .disclaimer {
  margin-bottom: 8px;
  margin-left: 8px;
  margin-right: 8px;
}
.qs_mk_code_0 a {
  color: inherit;
}
.qs_mk_code_0 .divider {
  color: #ffc533;
}
@media (max-width: 1599px) {
  .qs_mk_code_0 .divider {
    display: none;
  }
}
@media (max-width: 980px) {
  .qs_mk_code_0 .et_pb_code_inner {
    justify-content: center;
  }
}

/* Blurbs */
.qs_mk_blurb_0 {
  background-color: #f7f6f5;
  width: 506px;
  max-width: 70%;
  padding-top: 4%;
  padding-left: 4%;
  padding-right: 4%;
  margin: -30% auto -30px !important;
}
.qs_mk_blurb_0 .et_pb_blurb_content {
  background-color: #ffc533;
  padding: 8% 8% 10%;
  margin-bottom: -160px;
}
.qs_mk_blurb_0 .et_pb_module_header {
  color: #fff;
  padding-bottom: 0;
  margin-bottom: 20px;
}
.qs_mk_blurb_0 ul {
  padding-bottom: 0;
  padding-left: 0;
}
.qs_mk_blurb_0 ul li:nth-last-child(n + 2) {
  border-bottom: 1px solid #ffde8a;
}
.qs_mk_blurb_0 ul li a {
  color: inherit;
  font-size: 22px;
  line-height: 24px;
  display: block;
  padding-top: 20px;
  padding-bottom: 20px;
  padding-right: 30px;
  position: relative;
}
.qs_mk_blurb_0 ul li a::after {
  color: #ee3433;
  content: "$";
  font-family: ETmodules;
  font-size: 20px;
  line-height: 1;
  position: absolute;
  top: 22px;
  right: 0;
}
@media (max-width: 980px) {
  .qs_mk_blurb_0 {
    background-color: transparent;
    width: 100%;
    max-width: 100%;
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
    margin: 0 !important;
  }
  .qs_mk_blurb_0 .et_pb_blurb_content {
    padding: 5%;
    margin-bottom: 0;
  }
}

/* Number Counters */
.qs_mk_number_counter_0.et_pb_with_title .percent {
  height: auto;
  margin-bottom: 10px;
}
.qs_mk_number_counter_0 .title {
  font-weight: 400;
  padding-bottom: 0;
}

/* Pixel Carousels */
.qs_mk_pixel_carousel_0 .dipi-carousel-main {
  padding-bottom: 60px;
}
.qs_mk_pixel_carousel_0 .dipi_carousel_child {
  align-items: center;
  justify-content: center !important;
}
.qs_mk_pixel_carousel_0 .swiper-pagination-bullet {
  margin-left: 3px;
  margin-right: 3px;
  opacity: 1;
  transform: none;
}

.qs_mk_pixel_carousel_1 .dipi-carousel-main {
  padding-bottom: 70px;
  position: relative;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-main .swiper-container {
  overflow: visible;
}
.qs_mk_pixel_carousel_1 .dipi-image-wrap {
  margin-bottom: 30px;
  width: 100% !important;
  height: 100% !important;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-item-content {
  padding: 0;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-item-title {
  text-align: left;
  margin-bottom: 10px;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-item-desc {
  text-align: left;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-item-desc h3 {
  font-size: 24px;
  padding-bottom: 5px;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-main .swiper-arrow-button {
  top: unset;
  bottom: 0;
  transform: none;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-main .swiper-button-next {
  left: 72px !important;
}
.qs_mk_pixel_carousel_1 .dipi-carousel-main .swiper-button-prev {
  left: 0 !important;
  right: unset;
}

.qs_mk_form_input > .gfield_label {
  font-family: "Roboto", sans-serif !important;
  font-weight: bold;
  font-size: 24px;
  margin-bottom: 18px !important;
}
.qs_mk_form_input > .ginput_container > .large {
  background-color: transparent;
  border-radius: 30px;
  border-width: 1px;
  border-color: #d8d3d3;
  box-shadow: none;
  height: 60px;
  padding-left: 30px;
  padding-right: 30px;
  font-family: "Roboto", sans-serif !important;
  font-size: 24px;
}
.qs_mk_form_input > .ginput_container > .textarea {
  background-color: transparent;
  border-radius: 30px;
  border-width: 1px;
  border-color: #d8d3d3;
  box-shadow: none;
  padding: 26px 30px;
  font-family: "Roboto", sans-serif !important;
  font-size: 24px;
  min-height: 200px !important;
  resize: none;
}

@media only screen and (max-width: 768px) {
  .qs_mk_form_input > .ginput_container > .large {
    font-size: 18px;
  }
  .qs_mk_form_input > .ginput_container > .textarea {
    font-size: 18px;
  }
}

.qs_mk_form_input > .ginput_container > .large::placeholder,
.textarea::placeholder {
  color: #707070 !important;
}

.qs_mk_contact_form_1 > .gform_footer {
  margin-top: 40px !important;
}

@media only screen and (max-width: 980px) {
  .qs_mk_contact_form_1 > .gform_footer {
    margin-top: 20px !important;
  }
}

.qs_mk_contact_form_1 > .gform_footer > .gform_button {
  background-color: #ffc533 !important;
  border-radius: 50px !important;
  border-width: 0;
  box-shadow: none;
  padding: 18px 92px !important;
  font-family: "Roboto", sans-serif !important;
  font-weight: bold !important;
  font-size: 24px !important;
  color: #000000 !important;
}

.qs_mk_contact_form_1 > .gform_body > .gform_fields {
  row-gap: 26px !important;
}

.qs_mk_contact_blurb_element_1 > .et_pb_blurb_content {
  margin-left: 0 !important;
  margin-bottom: 45px !important;
}

.qs_mk_contact_faq_1 {
  position: relative;
  counter-reset: faq_counter 0 !important;
}
.qs_mk_contact_faq_1 .et_pb_toggle_title {
  padding: 26px;
  padding-left: 76px;
  counter-increment: faq_counter 1 !important;
}

.qs_mk_contact_faq_1 .et_pb_toggle_content {
  margin-top: -25px;
  padding-left: 76px !important;
  padding-right: 50px !important;
}
.qs_mk_contact_faq_1 .et_pb_toggle_content > p {
  padding-bottom: 26px !important;
}

.qs_mk_contact_faq_1 > .et_pb_toggle_open > .et_pb_toggle_title::before {
  display: block;
  content: "\4b" !important;
}
.qs_mk_contact_faq_1 > .et_pb_toggle_close > .et_pb_toggle_title::before {
  display: block;
  content: "\4c" !important;
}

.qs_mk_contact_faq_1 > .et_pb_toggle {
  padding: 0;
  margin-bottom: 0 !important;
  border-bottom: solid 1px rgba(204, 203, 203, 0.5) !important;
}

@media only screen and (max-width: 768px) {
  .qs_mk_contact_faq_1 > .et_pb_toggle_title {
    padding-left: 50px;
  }
}

.qs_mk_contact_faq_1 > .et_pb_toggle:last-child {
  border-bottom: none !important;
}

.qs_mk_contact_faq_1 .et_pb_toggle_title::after {
  position: absolute;
  display: block !important;
  font-family: "Roboto", sans-serif !important;
  font-weight: bold;
  font-size: 32px;
  line-height: 34px;
  color: #ffc533;
  content: counter(faq_counter);
  top: calc(50% - 17px);
  /* top: 0; */
  left: 0;
}
.qs_mk_contact_faq_1 .et_pb_toggle_title:nth-child(-n + 9):after {
  content: "0" counter(faq_counter);
}

.qs_mk_pixel_carousel_2 .swiper-container {
  padding: 0 !important;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-child-wrapper {
  display: flex !important;
  flex-direction: row !important;
}

.qs_mk_pixel_carousel_2 .dipi-carousel-item-content {
  padding: 45px 60px !important;
}

.qs_mk_pixel_carousel_2 .dipi-carousel-item-title {
  text-align: left;
  margin-bottom: 15px;
  font-size: 48px;
  font-weight: bold;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-item-desc {
  text-align: left;
}
.qs_mk_pixel_carousel_2 .dipi-image-wrap {
  display: flex !important;
  align-items: center;
  max-width: 500px;
  width: 100%;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-image {
  margin: 0 !important;
  width: 100%;
  height: auto;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-item-desc > h5 {
  font-size: 32px;
  color: #ffc533 !important;
  font-weight: 600;
  padding-bottom: 35px;
}

.qs_mk_pixel_carousel_2 .dipi-carousel-main .swiper-arrow-button {
  top: unset;
  transform: none;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-main .swiper-button-next {
  left: 72px !important;
}
.qs_mk_pixel_carousel_2 .dipi-carousel-main .swiper-button-prev {
  left: 0 !important;
  right: unset;
}

@media only screen and (max-width: 980px) {
  .qs_mk_pixel_carousel_2 .dipi-carousel-child-wrapper {
    flex-direction: column !important;
  }
  .qs_mk_pixel_carousel_2 .dipi-carousel-item-content {
    padding: 0 !important;
    margin-top: 20px !important;
  }

  .qs_mk_pixel_carousel_2 .dipi-image-wrap {
    min-width: 100%;
    display: flex;
    justify-content: center;
  }
}

.qs_mk_pixel_carousel_3 .dipi-carousel-item-title {
  font-size: 40px !important;
  font-weight: bold !important;
  color: #ffc533 !important;
}

.qs_mk_pixel_carousel_3 .swiper-pagination-bullet {
  width: 10px !important;
  border-radius: 5px !important;
  height: 10px !important;
}

.qs_mk_pixel_carousel_3 .swiper-pagination-bullet-active {
  width: 35px !important;
  border-radius: 5px !important;
  height: 10px !important;
}

.qs_mk_projects_grid_1 .grid-item {
  margin-bottom: 38px !important;
}

.qs_mk_projects_grid_1 .img-container img {
  width: 100%;
  max-width: 380px;
  aspect-ratio: 19 / 15;
  height: auto;
}
@media only screen and (max-width: 767px) {
  .qs_mk_projects_grid_1 .img-container img {
    width: 100% !important;
    max-width: unset !important;
    aspect-ratio: 19 / 15;
    height: auto;
  }
}

.qs_mk_text_0 .qs_mk_text_0_first {
  padding-bottom: 0 !important;
  color: #ffffff;
  text-transform: uppercase;
}
.qs_mk_text_0 .qs_mk_text_0_second {
  padding-bottom: 0 !important;
  color: #ee3433;
}
.qs_mk_text_0 .qs_mk_text_0_third {
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #ffc533;
  color: rgba(0, 0, 0, 0) !important;
}

.qs_mk_row_3 {
  width: 110%;
  max-width: 1920px !important;
}

.qs_mk_row_3 .qs_mk_row_3_column_2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

@media only screen and (max-width: 980px) {
  .qs_mk_row_3 {
    width: 90%;
    max-width: 1580px;
  }
}

@media only screen and (max-width: 767px) {
  .qs_mk_row_3 {
    display: flex;
    flex-direction: column;
  }
  .qs_mk_row_3 .qs_mk_row_3_column {
    width: 100% !important;
  }
}

.qs_mk_about_us_section_1 {
  background: linear-gradient(0deg, #ffffff, #f2f0ed) !important;
  bottom: 0 !important;
  background-size: 58% 38% !important;
  background-repeat: no-repeat !important;
  background-position: bottom left !important;
}

@media only screen and (max-width: 980px) {
  .qs_mk_about_us_section_1 {
    background: unset !important;
  }

  .qs_mk_image_0 {
    margin: 0 !important;
  }
  .qs_mk_image_0 .et_pb_image {
    margin: 0 !important;
  }
}

.qs_mk_pixel_dynamic_carousel_1 .dipi-blog-slider-wrapper {
  padding-bottom: 66px !important;
}
.qs_mk_pixel_dynamic_carousel_1 .swiper-container {
  overflow: visible !important;
}

.qs_mk_pixel_dynamic_carousel_1 .dipi-blog-slider-main .swiper-arrow-button {
  top: unset;
  bottom: 0;
  transform: none;
}
.qs_mk_pixel_dynamic_carousel_1 .dipi-blog-slider-main .swiper-button-next {
  left: 72px !important;
}
.qs_mk_pixel_dynamic_carousel_1 .dipi-blog-slider-main .swiper-button-prev {
  left: 0 !important;
  right: unset;
}

.qs_mk_pixel_dynamic_carousel_1 .dipi-entry-featured-image-url > img {
  max-width: 350px;
  aspect-ratio: 19 / 15;
}
@media only screen and (max-width: 767px) {
  .qs_mk_pixel_dynamic_carousel_1 .dipi-entry-featured-image-url > img {
    max-width: unset;
  }
}
.qs_mk_pixel_dynamic_carousel_1 .dipi-post-content {
  padding: 31px 0 18px 0;
}
